0 Replies Latest reply on Jul 29, 2015 9:45 PM by lambdafox

    There is an error on the driver download page

    lambdafox

      I am posting this at 10:30pm July 28, 2015 (Eastern Time Zone)

       

      When I go to this page to download the latest 64-bit drivers for ubuntu, the page content says that I will download catalyst and driver version 15.7.

       

      The files under the download buttons, however, are all 15.2

       

      This is the same version available under thru the Ubuntu repository.